"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    AiGeneratedDisclaimer: function() {
        return _AiGeneratedDisclaimer.AiGeneratedDisclaimer;
    },
    CopilotChat: function() {
        return _CopilotChat.CopilotChat;
    },
    CopilotMessage: function() {
        return _CopilotMessage.CopilotMessage;
    },
    CopilotMessageFooter: function() {
        return _CopilotMessageFooter.CopilotMessageFooter;
    },
    CopilotMessageV2: function() {
        return _CopilotMessageV2.CopilotMessage;
    },
    ScrollDownButton: function() {
        return _ScrollDownButton.ScrollDownButton;
    },
    SystemMessage: function() {
        return _SystemMessage.SystemMessage;
    },
    Timestamp: function() {
        return _Timestamp.Timestamp;
    },
    UserMessage: function() {
        return _UserMessage.UserMessage;
    },
    UserMessageV2: function() {
        return _UserMessageV2.UserMessage;
    },
    aiGeneratedDisclaimerClassNames: function() {
        return _AiGeneratedDisclaimer.aiGeneratedDisclaimerClassNames;
    },
    copilotChatClassNames: function() {
        return _CopilotChat.copilotChatClassNames;
    },
    copilotMessageClassNames: function() {
        return _CopilotMessage.copilotMessageClassNames;
    },
    copilotMessageFooterClassNames: function() {
        return _CopilotMessageFooter.copilotMessageFooterClassNames;
    },
    copilotMessageV2ClassNames: function() {
        return _CopilotMessageV2.copilotMessageClassNames;
    },
    renderCopilotChat_unstable: function() {
        return _CopilotChat.renderCopilotChat_unstable;
    },
    renderCopilotMessageFooter_unstable: function() {
        return _CopilotMessageFooter.renderCopilotMessageFooter_unstable;
    },
    renderCopilotMessageV2_unstable: function() {
        return _CopilotMessageV2.renderCopilotMessage_unstable;
    },
    renderCopilotMessage_unstable: function() {
        return _CopilotMessage.renderCopilotMessage_unstable;
    },
    renderScrollDownButton_unstable: function() {
        return _ScrollDownButton.renderScrollDownButton_unstable;
    },
    renderSystemMessage_unstable: function() {
        return _SystemMessage.renderSystemMessage_unstable;
    },
    renderUserMessageV2_unstable: function() {
        return _UserMessageV2.renderUserMessage_unstable;
    },
    renderUserMessage_unstable: function() {
        return _UserMessage.renderUserMessage_unstable;
    },
    scrollDownButtonClassNames: function() {
        return _ScrollDownButton.scrollDownButtonClassNames;
    },
    systemMessageClassNames: function() {
        return _SystemMessage.systemMessageClassNames;
    },
    timestampClassNames: function() {
        return _Timestamp.timestampClassNames;
    },
    useAiGeneratedDisclaimerStyles_unstable: function() {
        return _AiGeneratedDisclaimer.useAiGeneratedDisclaimerStyles_unstable;
    },
    useCopilotChatStyles_unstable: function() {
        return _CopilotChat.useCopilotChatStyles_unstable;
    },
    useCopilotChat_unstable: function() {
        return _CopilotChat.useCopilotChat_unstable;
    },
    useCopilotMessageFooterStyles_unstable: function() {
        return _CopilotMessageFooter.useCopilotMessageFooterStyles_unstable;
    },
    useCopilotMessageFooter_unstable: function() {
        return _CopilotMessageFooter.useCopilotMessageFooter_unstable;
    },
    useCopilotMessageStyles_unstable: function() {
        return _CopilotMessage.useCopilotMessageStyles_unstable;
    },
    useCopilotMessageV2Styles_unstable: function() {
        return _CopilotMessageV2.useCopilotMessageStyles_unstable;
    },
    useCopilotMessageV2_unstable: function() {
        return _CopilotMessageV2.useCopilotMessage_unstable;
    },
    useCopilotMessage_unstable: function() {
        return _CopilotMessage.useCopilotMessage_unstable;
    },
    useMessageAttributes: function() {
        return _useMessageAttributes.useMessageAttributes;
    },
    useScrollDownButtonStyles_unstable: function() {
        return _ScrollDownButton.useScrollDownButtonStyles_unstable;
    },
    useScrollDownButton_unstable: function() {
        return _ScrollDownButton.useScrollDownButton_unstable;
    },
    useScrollToBottom: function() {
        return _useScrollToBottom.useScrollToBottom;
    },
    useSystemMessageStyles_unstable: function() {
        return _SystemMessage.useSystemMessageStyles_unstable;
    },
    useSystemMessage_unstable: function() {
        return _SystemMessage.useSystemMessage_unstable;
    },
    useTimestampStyles_unstable: function() {
        return _Timestamp.useTimestampStyles_unstable;
    },
    useUserMessageStyles_unstable: function() {
        return _UserMessage.useUserMessageStyles_unstable;
    },
    useUserMessageV2Styles_unstable: function() {
        return _UserMessageV2.useUserMessageStyles_unstable;
    },
    useUserMessageV2_unstable: function() {
        return _UserMessageV2.useUserMessage_unstable;
    },
    useUserMessage_unstable: function() {
        return _UserMessage.useUserMessage_unstable;
    },
    userMessageClassNames: function() {
        return _UserMessage.userMessageClassNames;
    },
    userMessageV2ClassNames: function() {
        return _UserMessageV2.userMessageClassNames;
    }
});
const _CopilotChat = require("./CopilotChat");
const _CopilotMessage = require("./CopilotMessage");
const _UserMessage = require("./UserMessage");
const _SystemMessage = require("./SystemMessage");
const _AiGeneratedDisclaimer = require("./AiGeneratedDisclaimer");
const _useMessageAttributes = require("./utils/useMessageAttributes");
const _useScrollToBottom = require("./utils/useScrollToBottom");
const _Timestamp = require("./Timestamp");
const _CopilotMessageFooter = require("./CopilotMessageFooter");
const _CopilotMessageV2 = require("./CopilotMessageV2");
const _UserMessageV2 = require("./UserMessageV2");
const _ScrollDownButton = require("./ScrollDownButton");
 //# sourceMappingURL=index.js.map
