"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
function _export(target, all) {
    for(var name in all)Object.defineProperty(target, name, {
        enumerable: true,
        get: all[name]
    });
}
_export(exports, {
    copilotMessageFooterClassNames: function() {
        return copilotMessageFooterClassNames;
    },
    useCopilotMessageFooterStyles_unstable: function() {
        return useCopilotMessageFooterStyles_unstable;
    }
});
const _reactcomponents = require("@fluentui/react-components");
const copilotMessageFooterClassNames = {
    root: 'fai-CopilotMessageFooter',
    content: 'fai-CopilotMessageFooter__content',
    responseCount: 'fai-CopilotMessageFooter__responseCount',
    feedback: 'fai-CopilotMessageFooter__feedback',
    aiDisclaimer: 'fai-CopilotMessageFooter__aiDisclaimer',
    referenceList: 'fai-CopilotMessageFooter__referenceList',
    referenceListToggle: 'fai-CopilotMessageFooter__referenceListToggle',
    divider: 'fai-CopilotMessageFooter__divider',
    sensitivity: 'fai-CopilotMessageFooter__sensitivity',
    sensitivityDisclaimerContainer: 'fai-CopilotMessageFooter__sensitivityDisclaimerContainer'
};
/**
 * Styles for the root slot
 */ const useStyles = (0, _reactcomponents.__styles)({
    root: {
        mc9l5x: "f13qh94s",
        Bt984gj: "f122n59",
        Belr9w4: "f778t4r",
        i8kkvl: "fsnqrgy"
    },
    sidecar: {
        zoa1oz: "f1uzz097",
        Budl1dq: "fjxzuw"
    },
    canvas: {
        zoa1oz: "fro7rzp",
        Budl1dq: "f1c2z91y"
    },
    content: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "fqi5tbq"
    },
    responseCount: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "f17uwb22",
        mc9l5x: "ftuwxu6",
        Brf1p80: "f9c4gz4",
        sshi5w: "f1pha7fy"
    },
    feedback: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "f465pga",
        mc9l5x: "ftuwxu6",
        Brf1p80: "f9c4gz4"
    },
    aiDisclaimer: {
        mc9l5x: "f22iagw",
        Beiy3e4: "f1vx9l62"
    },
    referenceList: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "ff8dls1"
    },
    referenceListToggle: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "fv863o0"
    },
    divider: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "f60jx07",
        sshi5w: "f1dlyyta",
        Bxyxcbc: "f1gb6uef",
        a9b677: "f18ezo4q"
    },
    sensitivity: {
        Bt984gj: "f122n59",
        mc9l5x: "f22iagw"
    },
    sensitivityDisclaimer: {
        Bw0ie65: 0,
        Br312pm: 0,
        nk6f5a: 0,
        Ijaq50: 0,
        Bq1tomu: "fdz5vnw",
        Bt984gj: "f122n59",
        mc9l5x: "f22iagw",
        Beiy3e4: "f1063pyq",
        i8kkvl: 0,
        Belr9w4: 0,
        rmohyg: "faqewft"
    }
}, {
    d: [
        ".f13qh94s{display:grid;}",
        ".f122n59{align-items:center;}",
        ".f778t4r{row-gap:var(--spacingVerticalXS);}",
        ".fsnqrgy{column-gap:var(--spacingHorizontalS);}",
        ".f1uzz097{grid-template-areas:\"content                       content                        content\" \"sensitivityDisclaimer         sensitivityDisclaimer          feedback\" \"referenceToggle               responseCount                  responseCount\" \"referenceList                 referenceList                  referenceList\";}",
        ".fjxzuw{grid-template-columns:auto 1fr;}",
        ".fro7rzp{grid-template-areas:\"content             content            content             content                       content\" \"referenceToggle     responseCount      divider             sensitivityDisclaimer         feedback\" \"referenceList       referenceList      referenceList       referenceList                 referenceList\";}",
        ".f1c2z91y{grid-template-columns:1fr;}",
        [
            ".fqi5tbq{grid-area:content;}",
            {
                p: -1
            }
        ],
        [
            ".f17uwb22{grid-area:responseCount;}",
            {
                p: -1
            }
        ],
        ".ftuwxu6{display:inline-flex;}",
        ".f9c4gz4{justify-content:flex-end;}",
        ".f1pha7fy{min-height:24px;}",
        [
            ".f465pga{grid-area:feedback;}",
            {
                p: -1
            }
        ],
        ".f22iagw{display:flex;}",
        ".f1vx9l62{flex-direction:column;}",
        [
            ".ff8dls1{grid-area:referenceList;}",
            {
                p: -1
            }
        ],
        [
            ".fv863o0{grid-area:referenceToggle;}",
            {
                p: -1
            }
        ],
        [
            ".f60jx07{grid-area:divider;}",
            {
                p: -1
            }
        ],
        ".f1dlyyta{min-height:var(--lineHeightBase100);}",
        ".f1gb6uef{max-height:var(--lineHeightBase100);}",
        ".f18ezo4q{width:var(--spacingHorizontalM);}",
        [
            ".fdz5vnw{grid-area:sensitivityDisclaimer;}",
            {
                p: -1
            }
        ],
        ".f1063pyq{flex-direction:row;}",
        [
            ".faqewft{gap:var(--spacingHorizontalS);}",
            {
                p: -1
            }
        ]
    ]
});
const useCopilotMessageFooterStyles_unstable = (state)=>{
    'use no memo';
    const styles = useStyles();
    state.root.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.root, styles.root, styles[state.mode], state.root.className);
    if (state.content) {
        state.content.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.content, styles.content, state.content.className);
    }
    if (state.responseCount) {
        state.responseCount.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.responseCount, styles.responseCount, state.responseCount.className);
    }
    if (state.feedback) {
        state.feedback.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.feedback, styles.feedback, state.feedback.className);
    }
    if (state.aiDisclaimer) {
        state.aiDisclaimer.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.aiDisclaimer, styles.aiDisclaimer, state.aiDisclaimer.className);
    }
    if (state.referenceList) {
        state.referenceList.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.referenceList, styles.referenceList, state.referenceList.className);
    }
    if (state.referenceListToggle) {
        state.referenceListToggle.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.referenceListToggle, styles.referenceListToggle, state.referenceListToggle.className);
    }
    if (state.divider) {
        state.divider.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.divider, styles.divider, state.divider.className);
    }
    if (state.sensitivity) {
        state.sensitivity.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.sensitivity, styles.sensitivity, state.sensitivity.className);
    }
    if (state.sensitivityDisclaimerContainer) {
        state.sensitivityDisclaimerContainer.className = (0, _reactcomponents.mergeClasses)(copilotMessageFooterClassNames.sensitivityDisclaimerContainer, styles.sensitivityDisclaimer, state.sensitivityDisclaimerContainer.className);
    }
    return state;
}; //# sourceMappingURL=useCopilotMessageFooterStyles.styles.js.map
